Name:          fwts
Version:       17.11.00
Release:       1mamba
Summary:       A test suite that performs sanity checks on Intel/AMD PC firmware
Group:         System/Kernel and Hardware
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://wiki.ubuntu.com/FirmwareTestSuite
Source:        http://fwts.ubuntu.com/release/fwts-V%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libffi-devel
BuildRequires: libglib-devel
BuildRequires: libjson-c-devel
BuildRequires: libselinux-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Firmware Test Suite (FWTS) is a test suite that performs sanity checks on Intel/AMD PC firmware. It is intended to identify BIOS and ACPI errors and if appropriate it will try to explain the errors and give advice to help workaround or fix firmware bugs. It is primarily intended to be a Linux-centric firmware troubleshooting tool.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q -c %{name}-%{version}

%build
autoreconf -f -i
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/fwts
%{_bindir}/kernelscan
%dir %{_datadir}/fwts
%{_datadir}/fwts/*.json
%{_datadir}/bash-completion/completions/fwts
%{_mandir}/man1/fwts-collect.1*
%{_mandir}/man1/fwts-frontend-text.1*
%{_mandir}/man1/fwts.1*

%files -n lib%{name}
%defattr(-,root,root)
%dir %{_libdir}/fwts
%{_libdir}/fwts/libfwts.so.*
%{_libdir}/fwts/libfwtsacpica.so.*
%{_libdir}/fwts/libfwtsiasl.so.*

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_libdir}/fwts/libfwts.a
%{_libdir}/fwts/libfwts.la
%{_libdir}/fwts/libfwts.so
%{_libdir}/fwts/libfwtsacpica.a
%{_libdir}/fwts/libfwtsacpica.la
%{_libdir}/fwts/libfwtsacpica.so
%{_libdir}/fwts/libfwtsiasl.a
%{_libdir}/fwts/libfwtsiasl.la
%{_libdir}/fwts/libfwtsiasl.so
%doc README README_ACPICA.txt README_SOURCE.txt


%changelog
* Thu Nov 30 2017 Automatic Build System <autodist@mambasoft.it> 17.11.00-1mamba
- automatic update by autodist

* Thu Oct 26 2017 Automatic Build System <autodist@mambasoft.it> 17.09.01-1mamba
- automatic update by autodist

* Tue Sep 20 2016 Automatic Build System <autodist@mambasoft.it> 16.09.00-1mamba
- automatic update by autodist

* Thu Sep 01 2016 Automatic Build System <autodist@mambasoft.it> 16.08.01-1mamba
- automatic update by autodist

* Sun Jan 31 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 16.01.00-1mamba
- package created using the webbuild interface
